package com.ruoyi.powerdistribution.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 可靠性馈线对象 pdm_line
 *
 * @author ruoyi
 * @date 2024-12-24
 */
public class PdmLine extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 记录ID  */
    @Excel(name = "记录ID ")
    private String recId;

    /** 线路名称  */
    @Excel(name = "线路名称 ")
    private String lineNm;

    /** 线路运行编号  */
    @Excel(name = "线路运行编号 ")
    private String lineRunNo;

    /** 电压等级代码  */
    @Excel(name = "电压等级代码 ")
    private String voltLvlCd;

    /** 电压等级描述  */
    @Excel(name = "电压等级描述 ")
    private String voltLvlDsc;

    /** 变电站id  */
    @Excel(name = "变电站id ")
    private String subsId;

    /** 变电站名称  */
    @Excel(name = "变电站名称 ")
    private String subsNm;

    /** 馈线id  */
    @Excel(name = "馈线id ")
    private String feederId;

    /** 馈线名称  */
    @Excel(name = "馈线名称 ")
    private String feederNm;

    /** 运维单位id  */
    @Excel(name = "运维单位id ")
    private String opMaintOrgId;

    /** 运维单位名称  */
    @Excel(name = "运维单位名称 ")
    private String opMaintOrgNm;

    /** 维护班组id  */
    @Excel(name = "维护班组id ")
    private String maintTeamId;

    /** 维护班组名称  */
    @Excel(name = "维护班组名称 ")
    private String maintTeamNm;

    /** 单位编码  */
    @Excel(name = "单位编码 ")
    private String orgNo;

    /** 单位名称  */
    @Excel(name = "单位名称 ")
    private String orgNm;

    /** 标准创建人编码  */
    @Excel(name = "标准创建人编码 ")
    private String stdCreatorNo;

    /** 标准创建人名称  */
    @Excel(name = "标准创建人名称 ")
    private String stdCreatorNm;

    /** 标准修改人编码  */
    @Excel(name = "标准修改人编码 ")
    private String stdUpdatorNo;

    /** 标准修改人名称  */
    @Excel(name = "标准修改人名称 ")
    private String stdUpdatorNm;

    /** 标准单位编码  */
    @Excel(name = "标准单位编码 ")
    private String stdOrgNo;

    /** 标准单位名称  */
    @Excel(name = "标准单位名称 ")
    private String stdOrgNm;

    /** 标准地市单位编码  */
    @Excel(name = "标准地市单位编码 ")
    private String stdCityOrgNo;

    /** 标准地市单位名称  */
    @Excel(name = "标准地市单位名称 ")
    private String stdCityOrgNm;

    /** 标准区县单位编码  */
    @Excel(name = "标准区县单位编码 ")
    private String stdCountyOrgNo;

    /** 标准区县单位名称  */
    @Excel(name = "标准区县单位名称 ")
    private String stdCountyOrgNm;

    /** 数据日期  */
    @Excel(name = "数据日期 ")
    private String dataDt;

    /** etl时间戳  */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "etl时间戳 ", width = 30, dateFormat = "yyyy-MM-dd")
    private Date etlTm;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setRecId(String recId)
    {
        this.recId = recId;
    }

    public String getRecId()
    {
        return recId;
    }
    public void setLineNm(String lineNm)
    {
        this.lineNm = lineNm;
    }

    public String getLineNm()
    {
        return lineNm;
    }
    public void setLineRunNo(String lineRunNo)
    {
        this.lineRunNo = lineRunNo;
    }

    public String getLineRunNo()
    {
        return lineRunNo;
    }
    public void setVoltLvlCd(String voltLvlCd)
    {
        this.voltLvlCd = voltLvlCd;
    }

    public String getVoltLvlCd()
    {
        return voltLvlCd;
    }
    public void setVoltLvlDsc(String voltLvlDsc)
    {
        this.voltLvlDsc = voltLvlDsc;
    }

    public String getVoltLvlDsc()
    {
        return voltLvlDsc;
    }
    public void setSubsId(String subsId)
    {
        this.subsId = subsId;
    }

    public String getSubsId()
    {
        return subsId;
    }
    public void setSubsNm(String subsNm)
    {
        this.subsNm = subsNm;
    }

    public String getSubsNm()
    {
        return subsNm;
    }
    public void setFeederId(String feederId)
    {
        this.feederId = feederId;
    }

    public String getFeederId()
    {
        return feederId;
    }
    public void setFeederNm(String feederNm)
    {
        this.feederNm = feederNm;
    }

    public String getFeederNm()
    {
        return feederNm;
    }
    public void setOpMaintOrgId(String opMaintOrgId)
    {
        this.opMaintOrgId = opMaintOrgId;
    }

    public String getOpMaintOrgId()
    {
        return opMaintOrgId;
    }
    public void setOpMaintOrgNm(String opMaintOrgNm)
    {
        this.opMaintOrgNm = opMaintOrgNm;
    }

    public String getOpMaintOrgNm()
    {
        return opMaintOrgNm;
    }
    public void setMaintTeamId(String maintTeamId)
    {
        this.maintTeamId = maintTeamId;
    }

    public String getMaintTeamId()
    {
        return maintTeamId;
    }
    public void setMaintTeamNm(String maintTeamNm)
    {
        this.maintTeamNm = maintTeamNm;
    }

    public String getMaintTeamNm()
    {
        return maintTeamNm;
    }
    public void setOrgNo(String orgNo)
    {
        this.orgNo = orgNo;
    }

    public String getOrgNo()
    {
        return orgNo;
    }
    public void setOrgNm(String orgNm)
    {
        this.orgNm = orgNm;
    }

    public String getOrgNm()
    {
        return orgNm;
    }
    public void setStdCreatorNo(String stdCreatorNo)
    {
        this.stdCreatorNo = stdCreatorNo;
    }

    public String getStdCreatorNo()
    {
        return stdCreatorNo;
    }
    public void setStdCreatorNm(String stdCreatorNm)
    {
        this.stdCreatorNm = stdCreatorNm;
    }

    public String getStdCreatorNm()
    {
        return stdCreatorNm;
    }
    public void setStdUpdatorNo(String stdUpdatorNo)
    {
        this.stdUpdatorNo = stdUpdatorNo;
    }

    public String getStdUpdatorNo()
    {
        return stdUpdatorNo;
    }
    public void setStdUpdatorNm(String stdUpdatorNm)
    {
        this.stdUpdatorNm = stdUpdatorNm;
    }

    public String getStdUpdatorNm()
    {
        return stdUpdatorNm;
    }
    public void setStdOrgNo(String stdOrgNo)
    {
        this.stdOrgNo = stdOrgNo;
    }

    public String getStdOrgNo()
    {
        return stdOrgNo;
    }
    public void setStdOrgNm(String stdOrgNm)
    {
        this.stdOrgNm = stdOrgNm;
    }

    public String getStdOrgNm()
    {
        return stdOrgNm;
    }
    public void setStdCityOrgNo(String stdCityOrgNo)
    {
        this.stdCityOrgNo = stdCityOrgNo;
    }

    public String getStdCityOrgNo()
    {
        return stdCityOrgNo;
    }
    public void setStdCityOrgNm(String stdCityOrgNm)
    {
        this.stdCityOrgNm = stdCityOrgNm;
    }

    public String getStdCityOrgNm()
    {
        return stdCityOrgNm;
    }
    public void setStdCountyOrgNo(String stdCountyOrgNo)
    {
        this.stdCountyOrgNo = stdCountyOrgNo;
    }

    public String getStdCountyOrgNo()
    {
        return stdCountyOrgNo;
    }
    public void setStdCountyOrgNm(String stdCountyOrgNm)
    {
        this.stdCountyOrgNm = stdCountyOrgNm;
    }

    public String getStdCountyOrgNm()
    {
        return stdCountyOrgNm;
    }
    public void setDataDt(String dataDt)
    {
        this.dataDt = dataDt;
    }

    public String getDataDt()
    {
        return dataDt;
    }
    public void setEtlTm(Date etlTm)
    {
        this.etlTm = etlTm;
    }

    public Date getEtlTm()
    {
        return etlTm;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("recId", getRecId())
            .append("lineNm", getLineNm())
            .append("lineRunNo", getLineRunNo())
            .append("voltLvlCd", getVoltLvlCd())
            .append("voltLvlDsc", getVoltLvlDsc())
            .append("subsId", getSubsId())
            .append("subsNm", getSubsNm())
            .append("feederId", getFeederId())
            .append("feederNm", getFeederNm())
            .append("opMaintOrgId", getOpMaintOrgId())
            .append("opMaintOrgNm", getOpMaintOrgNm())
            .append("maintTeamId", getMaintTeamId())
            .append("maintTeamNm", getMaintTeamNm())
            .append("orgNo", getOrgNo())
            .append("orgNm", getOrgNm())
            .append("stdCreatorNo", getStdCreatorNo())
            .append("stdCreatorNm", getStdCreatorNm())
            .append("stdUpdatorNo", getStdUpdatorNo())
            .append("stdUpdatorNm", getStdUpdatorNm())
            .append("stdOrgNo", getStdOrgNo())
            .append("stdOrgNm", getStdOrgNm())
            .append("stdCityOrgNo", getStdCityOrgNo())
            .append("stdCityOrgNm", getStdCityOrgNm())
            .append("stdCountyOrgNo", getStdCountyOrgNo())
            .append("stdCountyOrgNm", getStdCountyOrgNm())
            .append("dataDt", getDataDt())
            .append("etlTm", getEtlTm())
            .toString();
    }
}
